Subject: Ticket Assigned - Complaint
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 03 Feb 2021 07:17:14 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint Hi 
I’m would like to make a complaint about the online shopping customer service. 

I made a request for return on the 12th January and was emailed to say they’ll pick up the items in 5 days. 

It’s now the 3/2/21 and no one has picked up my items. 

I have taken the items to a store but they couldn’t do the refund as the process had started online and we called the online number but they refused to cancel the request.

I have contacted them over 6 times now and they keep saying it has been referred to the courier and will be picked up in 2 days but no one has come to pick up yet. 

I have called over 3 times asking to speak to a manager but they don’t put me through, telling me to call after an hour.  When I call after one hour, they say call in three hours and she’s still not available. 

I called again today and was told to call in one hour, I called after one hour and was told she hasn’t started her shift. 

1) I don’t understand how you can advertise a service that you can’t provide. 
2) I dont understand how a manager can ignore a customer so much (don’t call back after several call back requests and don’t attend to phone calls).  There are so many questions and investigation before putting the call through to the manager.  It is by far the most ridiculous and absurd procedure and attitude I’ve come about! 
3) Centrepoint has absolutely no compassion for customers’ money! I don’t work and I need my refund to be able to buy what I need.  This is however taking so long it’s frustrating! I’m not made of money and I’m sure a lot of people are in the same situation! 
4) I’m always told the manager is dealing with other complaints- clearly if there are so many complaints, something is not quite right within the service you’re providing! 
5) if the courier doesn’t pick up and drop off parcels on time, do you not think it’s about time you changed the courier service? 

I expect a resolution to this issue as it is the worst customer service I’ve received in the UAE so far. 

Kind Regards
Naz (0585948247) 
Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2050860